Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.ciphers
Interface SimpleCipher

All Known Implementing Classes:
  AesCipher, DesCipher, NulCipher, SdiCipher

    public interface SimpleCipher

This is an interface for simple block cipher implementations.

Method Summary
`void` | `clear()` Clears all sensitive data in the object.
`byte[]` | `decrypt(byte[] data)` Performs decryption on the data with the initialized key.
`byte[]` | `decrypt(byte[] data, int offset, int length)` Performs decryption on the data with the initialized key.
`byte[]` | `encrypt(byte[] data)` Performs encryption on the data with the initialized key.
`byte[]` | `encrypt(byte[] data, int offset, int length)` Performs encryption on the data with the initialized key.
`void` | `setKey(byte[] key)` Initializes the cipher with the specified key.
`void` | `setKey(byte[] key, int offset, int length)` Initializes the cipher with the specified key.

Method Detail

### setKey

    void setKey(byte[] key)

  Initializes the cipher with the specified key.

  Parameters:
    `key` - the key for subsequent cryptographic operations.

### setKey

    void setKey(byte[] key,
                int offset,
                int length)

  Initializes the cipher with the specified key.

  Parameters:
    `key` - the key for subsequent cryptographic operations.
    `offset` - index to the first byte of the key.
    `length` - length of the key.

### encrypt

    byte[] encrypt(byte[] data)

  Performs encryption on the data with the initialized key.

  Parameters:
    `data` - the data to encrypt.
  Returns:
    output in a byte array.

### encrypt

    byte[] encrypt(byte[] data,
                   int offset,
                   int length)

  Performs encryption on the data with the initialized key.

  Parameters:
    `data` - the data to encrypt.
    `offset` - index to the first byte of data to encrypt.
    `length` - length of the data to encrypt.
  Returns:
    output in a byte array.

### decrypt

    byte[] decrypt(byte[] data)

  Performs decryption on the data with the initialized key.

  Parameters:
    `data` - the data to decrypt.
  Returns:
    output in a byte array.

### decrypt

    byte[] decrypt(byte[] data,
                   int offset,
                   int length)

  Performs decryption on the data with the initialized key.

  Parameters:
    `data` - the data to decrypt.
    `offset` - index to the first byte of data to decrypt.
    `length` - length of the data to decrypt.
  Returns:
    output in a byte array.

### clear

    void clear()

  Clears all sensitive data in the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.